org.apache.ignite.services

## Class ServiceDeploymentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.services.ServiceDeploymentException

- All Implemented Interfaces:
    Serializable

      public class ServiceDeploymentException
      extends IgniteException

  Exception indicating service deployment failure.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceDeploymentException(String msg, Collection<ServiceConfiguration> cfgs)` Creates service deployment exception with error message.
    `ServiceDeploymentException(String msg, @Nullable Throwable cause, Collection<ServiceConfiguration> cfgs)` Creates service deployment exception with error message and `Throwable` as a cause.
    `ServiceDeploymentException(Throwable cause, Collection<ServiceConfiguration> cfgs)` Creates service deployment exception with `Throwable` as a cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<ServiceConfiguration>` | `getFailedConfigurations()`

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceDeploymentException

          public ServiceDeploymentException(String msg,
                                            Collection<ServiceConfiguration> cfgs)

      Creates service deployment exception with error message.
      Parameters:
        `msg` - Error message.
        `cfgs` - Configurations of services that failed to deploy.

    - #### ServiceDeploymentException

          public ServiceDeploymentException(Throwable cause,
                                            Collection<ServiceConfiguration> cfgs)

      Creates service deployment exception with `Throwable` as a cause.
      Parameters:
        `cause` - Cause.
        `cfgs` - Configurations of services that failed to deploy.

    - #### ServiceDeploymentException

          public ServiceDeploymentException(String msg,
                                            @Nullable
                                            @Nullable Throwable cause,
                                            Collection<ServiceConfiguration> cfgs)

      Creates service deployment exception with error message and `Throwable` as a cause.
      Parameters:
        `msg` - Error message.
        `cause` - Cause.
        `cfgs` - Configurations of services that failed to deploy.

  - ### Method Detail

    - #### getFailedConfigurations

          public Collection<ServiceConfiguration> getFailedConfigurations()

      Returns:
        Configurations of services that failed to deploy.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023